Metacat - Bug #2993

Permission Order is always set to 'allowFirst
11/02/2007 01:11 PM - Chris Barteau

Status: Resolved Start date: 11/02/2007
Priority: Normal Due date:

Assignee: Chris Barteau % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 1.8 Spent time: 0.00 hour
Bugzilla-ld: 2993

Description

Permission Order is always set to 'allowFirst'. Even if you send 'denyFirst, it will save 'allowFirst' to the access table.

History

#1 - 11/02/2007 01:13 PM - Chris Barteau

Fixed by removing quotes around reference to the constant "AccessControlinterface. DENYFIRST" in the constructor of class
"edu.ucsb.nceas.metacat.AccessControlForSingleFile".

#2 - 11/07/2007 02:58 PM - Jing Tao
Move to 1.7.1

#3 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2993
